/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */

package com.icesoft.sample.accessible.confirm;

import javax.faces.event.ActionEvent;
import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ApplicationScoped;

@ManagedBean(name="confirmation")
@ApplicationScoped
public class ConfirmationBean implements Serializable {
    private String dataIn = "Input";
    private String dataOut = "Output";
    private boolean withConfirmation = true;

    public void save(ActionEvent event) {
        dataOut = dataIn;
    }

    public void delete(ActionEvent event) {
        dataOut = null;
    }

    public String getDataOut() {
        return dataOut;
    }

    public String getDataIn() {
        return dataIn;
    }

    public void setDataIn(String dataIn) {
        this.dataIn = dataIn;
    }

    public boolean isWithConfirmation() {
        return withConfirmation;
    }

    public void setWithConfirmation(boolean withConfirmation) {
        this.withConfirmation = withConfirmation;
    }
}